View Issue Details

IDProjectCategoryView StatusLast Update
13416Bug reports[All Projects] Statisticspublic2018-02-27 14:23
ReporteroneterraliveAssigned Toollehar 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4.x 
Summary13416: XLS export file corrupt
Description

When create statistics to xls file it don't open. File corrupt.

Steps To Reproduce

1) Go to statistics
2) XLS File - View statistics
3) Open in MS Office or LibreOffice

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.4.2
I will donate to the project if issue is resolvedNo
BrowserGoogle Chrome 64.0.3282.167 (Build oficial) (64 bits), Microsoft Edge 41.16299.248.0, Mozilla Firefox 58.0.2 (64-bit)
Database & DB-VersionMariaDB 5.5.56
Server OS (if known)CentOS 7
Webserver software & version (if known) Apache/2.4.6
PHP VersionPHP 7.2.2

Activities

oneterralive

oneterralive

2018-02-23 18:36

reporter  

bug_excel_statistics.png (29,242 bytes)
bug_excel_statistics.png (29,242 bytes)
statistic-survey913942.xls (4,096 bytes)
limesurvey_survey_913942.lss (13,641 bytes)
ollehar

ollehar

2018-02-26 15:21

administrator   ~46754

The offending commit has been reverted.

c_schmitz

c_schmitz

2018-02-27 14:23

administrator   ~46794

Version 3.4.3 Build 180227 released.

Issue History

Date Modified Username Field Change
2018-02-23 18:36 oneterralive New Issue
2018-02-23 18:36 oneterralive File Added: bug_excel_statistics.png
2018-02-23 18:36 oneterralive File Added: statistic-survey913942.xls
2018-02-23 18:36 oneterralive File Added: limesurvey_survey_913942.lss
2018-02-26 14:33 ollehar Status new => confirmed
2018-02-26 15:21 ollehar Assigned To => ollehar
2018-02-26 15:21 ollehar Status confirmed => resolved
2018-02-26 15:21 ollehar Resolution open => fixed
2018-02-26 15:21 ollehar Fixed in Version => 3.4.x
2018-02-26 15:21 ollehar Note Added: 46754
2018-02-27 14:23 c_schmitz Note Added: 46794
2018-02-27 14:23 c_schmitz Status resolved => closed